import request from '@/utils/request'
import qs from 'qs'
import {upcloud_base_wh_inbound,upcloud_base_common} from "@/config/serviceSettings";

export const api = {
  querySubList: upcloud_base_wh_inbound + '/print/v1.0/getRqcNoticeDetails',
  getRqcNoticePrintData: upcloud_base_wh_inbound + '/print/v1.0/getRqcNoticePrintData',
  doException: upcloud_base_wh_inbound + '/rcvInstockLines/doException',

};
// 明细
export function querySubList(parameter) {
  return request({
    method: 'get',
    url: api.querySubList,
    params: parameter,
  })
}
//打印
export function getRqcNoticePrintData(parameter) {
  return request({
    method: 'post',
    url: api.getRqcNoticePrintData,
    data: parameter,
  })
}


// 字典
export function getDicts(parameter) {
  return request({
    method: 'post',
    url: upcloud_base_common+'/dict/listbytype',
    params: parameter,
    replaceFields: {
      value: 'dictCode',
      label: 'dictName'
    }
  })
}

export function doException(parameter) {
  return request({
    method: 'post',
    url: api.doException,
    data: parameter,
  })
}